Subject: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

From: Colin Perkins <[email-masked]>
Date: Mon, 20 Sep 2021 20:25:18 +0100

The NMRG chairs have requested that draft-irtf-nmrg-ibn-concepts-definitions-05 be published as an RFC on the IRTF stream. The IRTF publication process is described in RFC 5743, and comprises a review by the IRSG to ensure technical and editorial quality, followed by a check by the IESG to ensure the work does not conflict with IETF standards activities. 

As IRTF Chair, I perform an initial review of all drafts submitted for publication on the IRTF stream before sending them for detailed review by the IRSG. This note provides my review comments, for discussion.

Result:
* Almost ready

RFC 5743 compliance:
* The draft does not follow the guidelines in RFC 5743

Comments:

* The structure and focus of the Introduction suggests that this is an IETF document, primarily discussing standards and saying little about the research need for this document. Similarly, there are no conclusions drawn, and no attempt to summarise and relate the work to ongoing research. The definitions and discussion of concepts is good, but the draft needs to better relate it to ongoing research needs and trends.

* Most of the examples are standards-based, and the few that point to research work are to old papers. How does the work relate to current research?

* RFC 5843, Section 2.1, requires all IRTF stream documents to include certain statements in the Abstract and Introduction. The necessary statements appear in the Abstract, but appear to be missing from the Introduction.

* First sentence: “Traditionally in the IETF…” – the RFC Editor will flag the use of the word “traditionally” in their review of inclusive language. Suggest rephrasing.

Colin Perkins
IRTF Chair

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Sep 2021 09:04:18 +1200

Colin,

On 21-Sep-21 07:25, Colin Perkins wrote:
...
> * First sentence: “Traditionally in the IETF…” – the RFC Editor will flag the use of the word “traditionally” in their review of inclusive language. Suggest rephrasing.

The what which why where? 

The sentence in question does need improved syntax, but there's nothing non-inclusive about "traditionally". It's also accurate in this context.

Regards,
    Brian

---

From: Colin Perkins <[email-masked]>
Date: Mon, 20 Sep 2021 22:12:54 +0100

> The sentence in question does need improved syntax, but there's nothing non-inclusive about "traditionally". It's also accurate in this context.

It’s one of the terms mentioned as being problematic, with rationale, in the NIST guidelines the RFC Editor is now following.

(The RFC Editor flagged this in one of my recent drafts too)

Colin

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Sep 2021 10:03:24 +1200

On 21-Sep-21 09:12, Colin Perkins wrote:
>>> * First sentence: “Traditionally in the IETF…” 
– the RFC Editor will flag the use of the word “traditionally” in their review of inclusive language. Suggest rephrasing.
> It’s one of the terms mentioned as being problematic, with rationale, in the NIST guidelines the RFC Editor is now following.

I looked there first. It is not there (except in the phrase "traditional male/female binary"). It might conceivably be in one of the documents cited by NIST, I suppose. But it makes little sense.

> (The RFC Editor flagged this in one of my recent drafts too)

Bizarre.

   Brian

---

From: Colin Perkins <[email-masked]>
Date: Mon, 20 Sep 2021 23:41:20 +0100

> On 20 Sep 2021, at 23:03, Brian E Carpenter <[email-masked]> wrote:
> 

Section 4.1 of the NIST guidelines refers to the NIST Technical Series Publications Author Instructions (https://www.nist.gov/nist-research-library/nist-technical-series-publications-author-instructions <https://www.nist.gov/nist-research-library/nist-technical-series-publications-author-instructions>). That briefly suggests reasons why that term can be considered problematic. 

Firstly, and perhaps most common for internet-drafts, “traditional” is a subjective term. What one person might consider traditional, another might not, depending on their background and experience. It’s clearer, and more precise, to replace a statement saying “we have traditionally done X” with some examples of when X has been done, perhaps also explaining why it’s appropriate in those cases and why it might not always be appropriate. 

Secondly, “traditional” can be interpreted as suggesting something normal and preferred, and as implying that the alternatives are somehow devalued. 

For this draft, the first reason seems to apply. If, rather than saying "Traditionally in the IETF, interest regarding management and operations has focused on individual network and device features”, the draft said “In the IETF, interest regarding management and operations has focused on individual network and device features [citations], …”, the citations would make it clearer exactly what was intended and give the reader an insight into the context to help understand the rest of the draft.

Colin

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 21 Sep 2021 10:51:09 +1200

On 21-Sep-21 10:41, Colin Perkins wrote:
> 
> 
>> On 20 Sep 2021, at 23:03, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>
>>> On 20 Sep 2021, at 22:04, Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
>>>>
>>>> Colin,
>>>>
> Firstly, and perhaps most common for internet-drafts, “traditional” is a subjective term. What one person might consider traditional, another might not, depending on their background and experience. It’s clearer, and more precise, to replace a statement saying “we have traditionally done X” with some examples of when X has 
been done, perhaps also explaining why it’s appropriate in those cases and why it might not always be appropriate. 
> For this draft, the first reason seems to apply. If, rather than saying 
"Traditionally in the IETF, interest regarding management and operations has focused on individual network and device features”, the draft 
said “In the IETF, interest regarding management and operations has focused on individual network and device features [citations], …”, the citations would make it clearer exactly what was intended and give the reader an insight into the context to help understand the rest of the draft.

Words fail me.

   Brian

---

From: Alexander Clemm <[email-masked]>
Date: Tue, 21 Sep 2021 00:13:45 +0000

Hello Colin,

Thank you for your review!

I was not aware that the term “Traditional” would be so controversial.  Would it address your concerns if we worded it as follows:

 “In the past, interest regarding management and operations in the IETF has focused largely on individual network and device features.”
I am not sure what we would cite there.  This is an observation which is evidenced by the body of work that the IETF has produced, e.g. the hundreds of RFCs specifying MIB modules and YANG modules, as is explained two sentences further below.

Also, you mention that there are necessary statements that appear in the Abstract but appear to be missing from the introduction.  Could you please advise what is missing?  Per RFC  5743: o  There must be a paragraph near the beginning (for example, in the

      introduction) describing the level of support for publication.

      Example text might read: "this document represents the consensus

      of the FOOBAR RG" or "the views in this document were considered

      controversial by the FOOBAR RG but the RG reached a consensus that

      the document should still be published"

In the abstract (which we thought qualifies as “near the beginning” we state “This document is a product of the IRTF Network Management Research

   Group (NMRG). It reflects the consensus of the RG, receiving reviews and explicit support from many members.”

Should we simply repeat the same statement (or similar statement to that effect) in the introduction as well?

Thank you

--- Alex

From: nmrg <[email-masked]> On Behalf Of Colin Perkins
Sent: Monday, September 20, 2021 3:41 PM
To: Brian E Carpenter <[email-masked]>
Cc: [email-masked]
Subject: Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

On 20 Sep 2021, at 23:03, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

On 20 Sep 2021, at 22:04, Brian E Carpenter <[email-masked]<mailto:[email-masked]>> wrote:

Colin,

Section 4.1 of the NIST guidelines refers to the NIST Technical Series Publications Author Instructions (https://www.nist.gov/nist-research-library/nist-technical-series-publications-author-instructions<https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.nist.gov%2Fnist-research-library%2Fnist-technical-series-publications-author-instructions&data=04%7C01%7Calex%40futurewei.com%7C31b1337bac034942e68008d97c87df26%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C637677745294463685%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=CtOmQvAKJM7vTneQSjK1a9cgsnYiNg4lBsIPwxkHVMw%3D&reserved=0>). That briefly suggests reasons why that term can be considered problematic.

Colin

---

From: Benoit Claise <[email-masked]>
Date: Tue, 21 Sep 2021 08:51:19 +0200

Dear all,

I read and re-read that sentence: "Traditionally in the IETF, interest 
regarding management and operations has focused on individual network 
and device features." And I really can't see what's wrong with it.

Typically (*), the authors will simply modify the text at this stage as 
they just want the document published but ...
I can't stand thinking: aren't we trying to be more catholic than the 
pope here?

(*) I wanted to write "Traditionally, the authors ...". Not sure whether 
this is appropriate ;-)

Regards, Benoit

On 9/21/2021 12:51 AM, Brian E Carpenter wrote:
> _______________________________________________
> nmrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nmrg

---

From: Colin Perkins <[email-masked]>
Date: Tue, 21 Sep 2021 08:44:57 +0100

Hi,

> On 21 Sep 2021, at 01:13, Alexander Clemm <[email-masked]> wrote:
> 
> Hello Colin,
>  

This is fine, yes. 

> Should we simply repeat the same statement (or similar statement to that effect) in the introduction as well?

You shouldn’t repeat the text, but the draft does need a statement in the Abstract that identifies it as a product of the NMRG, and a longer paragraph in the Introduction that also describes the level of support and breadth of review received from the RG. Throughout, the document has to make it clear that it is not an IETF product and not a standard.

The key points of my review, though, were the other two comments around the structure and focus of the material in the draft.

Colin

---

From: Bob Natale <[email-masked]>
Date: Tue, 21 Sep 2021 14:36:54 +0000

From way out in Lurkerland:

There is nothing wrong with using "traditional" in a rational way when called for.

If we are all going to go by the (mostly silly, IMHO) NIST publication guidelines, physicists had better come with new terms for "dark matter" and "dark energy" real fast!

Avanti,
BobN

-----Original Message-----
From: nmrg <[email-masked]> On Behalf Of Benoit Claise
Sent: Tuesday, September 21, 2021 2:51 AM
To: Brian E Carpenter <[email-masked]>; Colin Perkins <[email-masked]>
Cc: [email-masked]
Subject: [EXT] Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

Dear all,

I read and re-read that sentence: "Traditionally in the IETF, interest regarding management and operations has focused on individual network and device features." And I really can't see what's wrong with it.

Typically (*), the authors will simply modify the text at this stage as they just want the document published but ...
I can't stand thinking: aren't we trying to be more catholic than the pope here?

(*) I wanted to write "Traditionally, the authors ...". Not sure whether this is appropriate ;-)

Regards, Benoit

On 9/21/2021 12:51 AM, Brian E Carpenter wrote:
>> Firstly, and perhaps most common for internet-drafts, “traditional” 
>> is a subjective term. What one person might consider traditional, 
>> another might not, depending on their background and experience. It’s 
>> clearer, and more precise, to replace a statement saying “we have 
>> traditionally done X” with some examples of when X has
> "Traditionally in the IETF, interest regarding management and 
> operations has focused on individual network and device features”, the draft said “In the IETF, interest regarding management and operations has focused on individual network and device features [citations], …”, the citations would make it clearer exactly what was intended and give the reader an insight into the context to help understand the rest of the draft.
>
> Words fail me.
>
>     Brian
>

---

From: Toerless Eckert <[email-masked]>
Date: Sat, 25 Sep 2021 02:54:41 +0200

> Section 4.1 of the NIST guidelines refers to the NIST Technical Series Publications Author Instructions (https://www.nist.gov/nist-research-library/nist-technical-series-publications-author-instruc…

You said in your email before that "traditional" is a problematic word,
and i think the NIST reference is no proof of that assesment of yours.

I think of this as similar to the egregious "Alice trusts Bob", without
any qualification like "trusts to do what". So i do agree with the
unspecificity problem described.

But even the replacement text by NIST is still quite unspecific (replaced
"traditional" with "agreed upon"), so i think the NIST example is a bad
reference to build upon (who agreed upon it in the NIST example..).

> Firstly, and perhaps most common for internet-drafts, “traditional” is a subjective term. What one person might consider traditional, another might not, depending on their background and experience.

The drafts text qualifies whose tradition for what is described (IETF and management stuff).

>  It’s clearer, and more precise, to replace a statement saying “we have traditionally done X” with some examples of when X has been done, perhaps also explaining why it’s appropriate in those cases and why it might not always be appropriate. 
>

Wether or not more evidence is needed or not depends on how likely the reader would
not agree with the statement IMHO. I think there is quite enough evidence to the statement
already in the following sentences of the draft.

> Secondly, “traditional” can be interpreted as suggesting something normal and preferred, and as implying that the alternatives are somehow devalued. 

IMHO, quite the opposite:

"Traditionally, before the civial war, rich southern americans where slave holders".

I see "traditionally" more often used to emphasize on things the authors do more likely
see negatively than positively. Or in the case of this draft as insufficient (element
management alone). But even many who would defend a tradition would not always necessary
claim it is good. Human slavery or sacrifice where often justified with "natural order"
or "appease the deities". Element management i think with "customer requirements".

> For this draft, the first reason seems to apply.
> If, rather than saying "Traditionally in the IETF, interest regarding management
> and operations has focused on individual network and device features”,
> the draft said
> “In the IETF, interest regarding management and operations has focused on
                                                                ^ traditionally
> individual network and device features [citations], …”,
> the citations would make it clearer exactly what was intended and give the
> reader an insight into the context to help understand the rest of the draft.

I do think, that it might be useful to have a bridge between the first and second
paragraph: for example:

This past tradition is based on the history of network management for IETF
protocol networks to be often completely manual or at best using fully proprietary
systems, automating only select aspects of the networks OAM lifecycle.

However, in the past decade, a clear sense and reality evolved, ...

Cheers
    Toerless

-- 
---
[email-masked]

---

From: Jérôme François <[email-masked]>
Date: Sat, 25 Sep 2021 08:19:26 +0200

Hi Colin,

Thanks for your comment. Can you elaborate on the two comments below?
Especially, do you expect to have more references of recent IBN research regarding 
the different concepts (as example) or a more detailed "review" of the current 
research orientations and challenges? In the second case, this will probably 
change the scope of the draft.

Best regards
jerome

---

From: Alexander Clemm <[email-masked]>
Date: Sat, 25 Sep 2021 23:48:23 +0000

Hi,

IMHO I don't think we should be changing the scope of the draft at this point.  The draft specifically states that the articulation of research challenges is outside the scope, which is currently defined as follows: 

   "This document clarifies the concepts behind intent.  It
   differentiates intent from related concepts.  It also provides an
   overview of first-order principles of IBN as well as the associated
   functionality.  The goal is to contribute to a common and shared
   understanding that can be used as a foundation to articulate research
   and engineering problems in the area of IBN.  It should be noted that
   the articulation of those problems is beyond the scope of this
   document."

Assuming the first case applies and the request is to simply present more evidence that IBN is indeed a current topic of ongoing research to underscore the relevance (and for bonus points point to impedance mismatches in the understanding of related concepts), we can certainly add additional references in the next revision.  

Thanks
--- Alex

-----Original Message-----
From: nmrg <[email-masked]> On Behalf Of Jérôme François
Sent: Friday, September 24, 2021 11:19 PM
To: Colin Perkins <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [nmrg] IRTF Chair review of draft-irtf-nmrg-ibn-concepts-definitions-05

Hi Colin,

Thanks for your comment. Can you elaborate on the two comments below?
Especially, do you expect to have more references of recent IBN research regarding the different concepts (as example) or a more detailed "review" of the current research orientations and challenges? In the second case, this will probably change the scope of the draft.

Best regards
jerome

_______________________________________________
nmrg mailing list
[email-masked]
https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.irtf.org%2Fmailman%2Flistinfo%2Fnmrg&amp;data=04%7C01%7Calex%40futurewei.com%7C9b4ec6bfd14041a7edc108d97fec79c8%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637681475920251402%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=41Q7KpHR%2BH4Pabicg%2BNkUEgC76B%2FtAIMD3mP3zcLacU%3D&amp;reserved=0